WoyraDocs
Get an API key

Change a mailbox's display name, letterhead or signature

PATCH/v1/mailboxes/{id}/profile

Mailboxes · Requires an API key

Parameters

NameInDescription
idrequiredpath

Body

FieldTypeDescription
displayNamestring
letterheadMailBranding
signatureMailBranding
footerMailBranding

Example

curl -X PATCH https://api.woyra.io/v1/mailboxes/email_01J.../profile \
  -H "Authorization: Bearer $WOYRA_KEY" \
  -H 'Content-Type: application/json' \
  -d '{
    "displayName": "<displayName>",
    "letterhead": "<letterhead>",
    "signature": "<signature>"
  }'

Response

200 The profile after the change.

FieldTypeDescription
objectrequiredstring
One of mail_profile.
addressrequiredstring
displayNamerequiredstring
planrequiredstring
One of essential, business, professional.
canBrandrequiredbooleanWhether the plan includes a letterhead
pictureUrlstringA signed link to the picture
letterheadrequiredMailBranding
signaturerequiredMailBranding
footerMailBranding
letterheadImageUrlstringA signed link to the letterhead picture

Errors

StatusCodes
400invalid_request, unsupported_version
404not_found, product_not_offered

Also in Mailboxes